package com.mortals.xhx.module.one.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:OneClassifyTopical
* date: 2021-9-13 16:21:34
*/
public class OneClassifyTopicalQuery extends OneClassifyTopicalEntity{
    private static final long serialVersionUID = 1631521294915L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 主题id */
    private Long topicalIdStart;

    /** 结束 主题id */
    private Long topicalIdEnd;

    /** 增加 主题id */
    private Long topicalIdIncrement;

    /** 主题id */
    private List <Long> topicalIdList;

    /** 开始 分类引导id */
    private Long classifyIdStart;

    /** 结束 分类引导id */
    private Long classifyIdEnd;

    /** 增加 分类引导id */
    private Long classifyIdIncrement;

    /** 分类引导id */
    private List <Long> classifyIdList;


    /** 开始 分类引导排序 */
    private Integer classifyRankStart;

    /** 结束 分类引导排序 */
    private Integer classifyRankEnd;

    /** 增加 分类引导排序 */
    private Integer classifyRankIncrement;

    /** 分类引导排序 */
    private List <Integer> classifyRankList;

    /** 终端主题包图标（建议图标尺寸为290px*180px，格式为png） */
    private List<String> terminalIconList;

    /** 移动主题包图标（建议图标尺寸为42px*42px，格式为png） */
    private List<String> moveIconList;

    /** 开始 承诺办结方式（1 即办，2 工作日） */
    private Integer overWayStart;

    /** 结束 承诺办结方式（1 即办，2 工作日） */
    private Integer overWayEnd;

    /** 增加 承诺办结方式（1 即办，2 工作日） */
    private Integer overWayIncrement;

    /** 承诺办结方式（1 即办，2 工作日） */
    private List <Integer> overWayList;

    /** 承诺办结时限 */
    private List<String> overTimeList;
    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id */
    private List <Long> siteIdList;


    /** 事项id(多个事项以逗号隔开) */
    private List<String> matterIdList;

    /** 开始 到现场次数 */
    private Integer presenceNumStart;

    /** 结束 到现场次数 */
    private Integer presenceNumEnd;

    /** 增加 到现场次数 */
    private Integer presenceNumIncrement;

    /** 到现场次数 */
    private List <Integer> presenceNumList;

    /** 开始  */
    private Integer deletedStart;

    /** 结束  */
    private Integer deletedEnd;

    /** 增加  */
    private Integer deletedIncrement;

    /**  */
    private List <Integer> deletedList;
    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id */
    private List <Long> createUserIdList;


    /** 创建人名称 */
    private List<String> createUserNameList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;
    /** 开始 修改人 */
    private Long updateUserIdStart;

    /** 结束 修改人 */
    private Long updateUserIdEnd;

    /** 增加 修改人 */
    private Long updateUserIdIncrement;

    /** 修改人 */
    private List <Long> updateUserIdList;


    /** 修改人名称 */
    private List<String> updateUserNameList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<OneClassifyTopicalQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<OneClassifyTopicalQuery> andConditionList;


    public OneClassifyTopicalQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 主题id
    * @return topicalIdStart
    */
    public Long getTopicalIdStart(){
    return this.topicalIdStart;
    }

    /**
    * 设置 开始 主题id
    * @param topicalIdStart
    */
    public void setTopicalIdStart(Long topicalIdStart){
    this.topicalIdStart = topicalIdStart;
    }

    /**
    * 获取 结束 主题id
    * @return topicalIdEnd
    */
    public Long getTopicalIdEnd(){
    return this.topicalIdEnd;
    }

    /**
    * 设置 结束 主题id
    * @param topicalIdEnd
    */
    public void setTopicalIdEnd(Long topicalIdEnd){
    this.topicalIdEnd = topicalIdEnd;
    }

    /**
    * 获取 增加 主题id
    * @return topicalIdIncrement
    */
    public Long getTopicalIdIncrement(){
    return this.topicalIdIncrement;
    }

    /**
    * 设置 增加 主题id
    * @param topicalIdIncrement
    */
    public void setTopicalIdIncrement(Long topicalIdIncrement){
    this.topicalIdIncrement = topicalIdIncrement;
    }

    /**
    * 获取 主题id
    * @return topicalIdList
    */
    public List<Long> getTopicalIdList(){
    return this.topicalIdList;
    }

    /**
    * 设置 主题id
    * @param topicalIdList
    */
    public void setTopicalIdList(List<Long> topicalIdList){
        this.topicalIdList = topicalIdList;
        }
    /**
    * 获取 开始 分类引导id
    * @return classifyIdStart
    */
    public Long getClassifyIdStart(){
    return this.classifyIdStart;
    }

    /**
    * 设置 开始 分类引导id
    * @param classifyIdStart
    */
    public void setClassifyIdStart(Long classifyIdStart){
    this.classifyIdStart = classifyIdStart;
    }

    /**
    * 获取 结束 分类引导id
    * @return classifyIdEnd
    */
    public Long getClassifyIdEnd(){
    return this.classifyIdEnd;
    }

    /**
    * 设置 结束 分类引导id
    * @param classifyIdEnd
    */
    public void setClassifyIdEnd(Long classifyIdEnd){
    this.classifyIdEnd = classifyIdEnd;
    }

    /**
    * 获取 增加 分类引导id
    * @return classifyIdIncrement
    */
    public Long getClassifyIdIncrement(){
    return this.classifyIdIncrement;
    }

    /**
    * 设置 增加 分类引导id
    * @param classifyIdIncrement
    */
    public void setClassifyIdIncrement(Long classifyIdIncrement){
    this.classifyIdIncrement = classifyIdIncrement;
    }

    /**
    * 获取 分类引导id
    * @return classifyIdList
    */
    public List<Long> getClassifyIdList(){
    return this.classifyIdList;
    }

    /**
    * 设置 分类引导id
    * @param classifyIdList
    */
    public void setClassifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
        }
    /**
    * 获取 开始 分类引导排序
    * @return classifyRankStart
    */
    public Integer getClassifyRankStart(){
        return this.classifyRankStart;
    }

    /**
    * 设置 开始 分类引导排序
    * @param classifyRankStart
    */
    public void setClassifyRankStart(Integer classifyRankStart){
        this.classifyRankStart = classifyRankStart;
    }

    /**
    * 获取 结束 分类引导排序
    * @return classifyRankEnd
    */
    public Integer getClassifyRankEnd(){
        return this.classifyRankEnd;
    }

    /**
    * 设置 结束 分类引导排序
    * @param classifyRankEnd
    */
    public void setClassifyRankEnd(Integer classifyRankEnd){
        this.classifyRankEnd = classifyRankEnd;
    }

    /**
    * 获取 增加 分类引导排序
    * @return classifyRankIncrement
    */
    public Integer getClassifyRankIncrement(){
        return this.classifyRankIncrement;
    }

    /**
    * 设置 增加 分类引导排序
    * @param classifyRankIncrement
    */
    public void setClassifyRankIncrement(Integer classifyRankIncrement){
        this.classifyRankIncrement = classifyRankIncrement;
    }

    /**
    * 获取 分类引导排序
    * @return classifyRankList
    */
    public List<Integer> getClassifyRankList(){
        return this.classifyRankList;
    }

    /**
    * 设置 分类引导排序
    * @param classifyRankList
    */
    public void setClassifyRankList(List<Integer> classifyRankList){
        this.classifyRankList = classifyRankList;
    }
    /**
    * 获取 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @return terminalIconList
    */
    public List<String> getTerminalIconList(){
        return this.terminalIconList;
    }

    /**
    * 设置 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @param terminalIconList
    */
    public void setTerminalIconList(List<String> terminalIconList){
        this.terminalIconList = terminalIconList;
    }
    /**
    * 获取 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @return moveIconList
    */
    public List<String> getMoveIconList(){
        return this.moveIconList;
    }

    /**
    * 设置 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @param moveIconList
    */
    public void setMoveIconList(List<String> moveIconList){
        this.moveIconList = moveIconList;
    }
    /**
    * 获取 开始 承诺办结方式（1 即办，2 工作日）
    * @return overWayStart
    */
    public Integer getOverWayStart(){
        return this.overWayStart;
    }

    /**
    * 设置 开始 承诺办结方式（1 即办，2 工作日）
    * @param overWayStart
    */
    public void setOverWayStart(Integer overWayStart){
        this.overWayStart = overWayStart;
    }

    /**
    * 获取 结束 承诺办结方式（1 即办，2 工作日）
    * @return overWayEnd
    */
    public Integer getOverWayEnd(){
        return this.overWayEnd;
    }

    /**
    * 设置 结束 承诺办结方式（1 即办，2 工作日）
    * @param overWayEnd
    */
    public void setOverWayEnd(Integer overWayEnd){
        this.overWayEnd = overWayEnd;
    }

    /**
    * 获取 增加 承诺办结方式（1 即办，2 工作日）
    * @return overWayIncrement
    */
    public Integer getOverWayIncrement(){
        return this.overWayIncrement;
    }

    /**
    * 设置 增加 承诺办结方式（1 即办，2 工作日）
    * @param overWayIncrement
    */
    public void setOverWayIncrement(Integer overWayIncrement){
        this.overWayIncrement = overWayIncrement;
    }

    /**
    * 获取 承诺办结方式（1 即办，2 工作日）
    * @return overWayList
    */
    public List<Integer> getOverWayList(){
        return this.overWayList;
    }

    /**
    * 设置 承诺办结方式（1 即办，2 工作日）
    * @param overWayList
    */
    public void setOverWayList(List<Integer> overWayList){
        this.overWayList = overWayList;
    }
    /**
    * 获取 承诺办结时限
    * @return overTimeList
    */
    public List<String> getOverTimeList(){
        return this.overTimeList;
    }

    /**
    * 设置 承诺办结时限
    * @param overTimeList
    */
    public void setOverTimeList(List<String> overTimeList){
        this.overTimeList = overTimeList;
    }
    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
    return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
    this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return siteIdEnd
    */
    public Long getSiteIdEnd(){
    return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
    this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
    return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
    this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
    return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        }
    /**
    * 获取 事项id(多个事项以逗号隔开)
    * @return matterIdList
    */
    public List<String> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项id(多个事项以逗号隔开)
    * @param matterIdList
    */
    public void setMatterIdList(List<String> matterIdList){
        this.matterIdList = matterIdList;
    }
    /**
    * 获取 开始 到现场次数
    * @return presenceNumStart
    */
    public Integer getPresenceNumStart(){
        return this.presenceNumStart;
    }

    /**
    * 设置 开始 到现场次数
    * @param presenceNumStart
    */
    public void setPresenceNumStart(Integer presenceNumStart){
        this.presenceNumStart = presenceNumStart;
    }

    /**
    * 获取 结束 到现场次数
    * @return presenceNumEnd
    */
    public Integer getPresenceNumEnd(){
        return this.presenceNumEnd;
    }

    /**
    * 设置 结束 到现场次数
    * @param presenceNumEnd
    */
    public void setPresenceNumEnd(Integer presenceNumEnd){
        this.presenceNumEnd = presenceNumEnd;
    }

    /**
    * 获取 增加 到现场次数
    * @return presenceNumIncrement
    */
    public Integer getPresenceNumIncrement(){
        return this.presenceNumIncrement;
    }

    /**
    * 设置 增加 到现场次数
    * @param presenceNumIncrement
    */
    public void setPresenceNumIncrement(Integer presenceNumIncrement){
        this.presenceNumIncrement = presenceNumIncrement;
    }

    /**
    * 获取 到现场次数
    * @return presenceNumList
    */
    public List<Integer> getPresenceNumList(){
        return this.presenceNumList;
    }

    /**
    * 设置 到现场次数
    * @param presenceNumList
    */
    public void setPresenceNumList(List<Integer> presenceNumList){
        this.presenceNumList = presenceNumList;
    }
    /**
    * 获取 开始 
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 
    * @return deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }
    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
    return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
    this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
    return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
    this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
    return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
    this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
    return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        }
    /**
    * 获取 创建人名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 开始 修改人
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
    return this.updateUserIdStart;
    }

    /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
    this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 修改人
    * @return updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
    return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
    this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 修改人
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
    return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
    this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 修改人
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
    return this.updateUserIdList;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        }
    /**
    * 获取 修改人名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public OneClassifyTopicalQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public OneClassifyTopicalQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public OneClassifyTopicalQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public OneClassifyTopicalQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public OneClassifyTopicalQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  主题id
    * @param topicalId
    */
    public OneClassifyTopicalQuery topicalId(Long topicalId){
	    setTopicalId(topicalId);
		return this;
    }
	
	 /**
    * 设置 开始 主题id
    * @param topicalIdStart
    */
    public OneClassifyTopicalQuery topicalIdStart(Long topicalIdStart){
		this.topicalIdStart = topicalIdStart;
		return this;
    }

    /**
    * 设置 结束 主题id
    * @param topicalIdEnd
    */
    public OneClassifyTopicalQuery topicalIdEnd(Long topicalIdEnd){
		this.topicalIdEnd = topicalIdEnd;
		return this;
    }

    /**
    * 设置 增加 主题id
    * @param topicalIdIncrement
    */
    public OneClassifyTopicalQuery topicalIdIncrement(Long topicalIdIncrement){
		this.topicalIdIncrement = topicalIdIncrement;
		return this;
    }

    /**
    * 设置 主题id
    * @param topicalIdList
    */
    public OneClassifyTopicalQuery topicalIdList(List<Long> topicalIdList){
        this.topicalIdList = topicalIdList;
		return this;
        }

	/**
    * 设置  分类引导id
    * @param classifyId
    */
    public OneClassifyTopicalQuery classifyId(Long classifyId){
	    setClassifyId(classifyId);
		return this;
    }
	
	 /**
    * 设置 开始 分类引导id
    * @param classifyIdStart
    */
    public OneClassifyTopicalQuery classifyIdStart(Long classifyIdStart){
		this.classifyIdStart = classifyIdStart;
		return this;
    }

    /**
    * 设置 结束 分类引导id
    * @param classifyIdEnd
    */
    public OneClassifyTopicalQuery classifyIdEnd(Long classifyIdEnd){
		this.classifyIdEnd = classifyIdEnd;
		return this;
    }

    /**
    * 设置 增加 分类引导id
    * @param classifyIdIncrement
    */
    public OneClassifyTopicalQuery classifyIdIncrement(Long classifyIdIncrement){
		this.classifyIdIncrement = classifyIdIncrement;
		return this;
    }

    /**
    * 设置 分类引导id
    * @param classifyIdList
    */
    public OneClassifyTopicalQuery classifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
		return this;
        }
	
	/**
    * 设置  分类引导排序
    * @param classifyRank
    */
    public OneClassifyTopicalQuery classifyRank(Integer classifyRank){
        setClassifyRank(classifyRank);
		return this;
    }

    /**
    * 设置 开始 分类引导排序
    * @param classifyRankStart
    */
    public OneClassifyTopicalQuery classifyRankStart(Integer classifyRankStart){
        this.classifyRankStart = classifyRankStart;
		return this;
    }


    /**
    * 设置 结束 分类引导排序
    * @param classifyRankEnd
    */
    public OneClassifyTopicalQuery classifyRankEnd(Integer classifyRankEnd){
        this.classifyRankEnd = classifyRankEnd;
		return this;
    }


    /**
    * 设置 增加 分类引导排序
    * @param classifyRankIncrement
    */
    public OneClassifyTopicalQuery classifyRankIncrement(Integer classifyRankIncrement){
        this.classifyRankIncrement = classifyRankIncrement;
		return this;
    }


    /**
    * 设置 分类引导排序
    * @param classifyRankList
    */
    public OneClassifyTopicalQuery classifyRankList(List<Integer> classifyRankList){
        this.classifyRankList = classifyRankList;
		return this;
    }
	/**
    * 设置 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @param terminalIcon
    */
    public OneClassifyTopicalQuery terminalIcon(String terminalIcon){
        setTerminalIcon(terminalIcon);
		return this;
    }


    /**
    * 设置 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @param terminalIconList
    */
    public OneClassifyTopicalQuery terminalIconList(List<String> terminalIconList){
        this.terminalIconList = terminalIconList;
		return this;
    }
	/**
    * 设置 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @param moveIcon
    */
    public OneClassifyTopicalQuery moveIcon(String moveIcon){
        setMoveIcon(moveIcon);
		return this;
    }


    /**
    * 设置 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @param moveIconList
    */
    public OneClassifyTopicalQuery moveIconList(List<String> moveIconList){
        this.moveIconList = moveIconList;
		return this;
    }
	
	/**
    * 设置  承诺办结方式（1 即办，2 工作日）
    * @param overWay
    */
    public OneClassifyTopicalQuery overWay(Integer overWay){
        setOverWay(overWay);
		return this;
    }

    /**
    * 设置 开始 承诺办结方式（1 即办，2 工作日）
    * @param overWayStart
    */
    public OneClassifyTopicalQuery overWayStart(Integer overWayStart){
        this.overWayStart = overWayStart;
		return this;
    }


    /**
    * 设置 结束 承诺办结方式（1 即办，2 工作日）
    * @param overWayEnd
    */
    public OneClassifyTopicalQuery overWayEnd(Integer overWayEnd){
        this.overWayEnd = overWayEnd;
		return this;
    }


    /**
    * 设置 增加 承诺办结方式（1 即办，2 工作日）
    * @param overWayIncrement
    */
    public OneClassifyTopicalQuery overWayIncrement(Integer overWayIncrement){
        this.overWayIncrement = overWayIncrement;
		return this;
    }


    /**
    * 设置 承诺办结方式（1 即办，2 工作日）
    * @param overWayList
    */
    public OneClassifyTopicalQuery overWayList(List<Integer> overWayList){
        this.overWayList = overWayList;
		return this;
    }
	/**
    * 设置 承诺办结时限
    * @param overTime
    */
    public OneClassifyTopicalQuery overTime(String overTime){
        setOverTime(overTime);
		return this;
    }


    /**
    * 设置 承诺办结时限
    * @param overTimeList
    */
    public OneClassifyTopicalQuery overTimeList(List<String> overTimeList){
        this.overTimeList = overTimeList;
		return this;
    }

	/**
    * 设置  站点id
    * @param siteId
    */
    public OneClassifyTopicalQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public OneClassifyTopicalQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public OneClassifyTopicalQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public OneClassifyTopicalQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public OneClassifyTopicalQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }
	/**
    * 设置 事项id(多个事项以逗号隔开)
    * @param matterId
    */
    public OneClassifyTopicalQuery matterId(String matterId){
        setMatterId(matterId);
		return this;
    }


    /**
    * 设置 事项id(多个事项以逗号隔开)
    * @param matterIdList
    */
    public OneClassifyTopicalQuery matterIdList(List<String> matterIdList){
        this.matterIdList = matterIdList;
		return this;
    }
	
	/**
    * 设置  到现场次数
    * @param presenceNum
    */
    public OneClassifyTopicalQuery presenceNum(Integer presenceNum){
        setPresenceNum(presenceNum);
		return this;
    }

    /**
    * 设置 开始 到现场次数
    * @param presenceNumStart
    */
    public OneClassifyTopicalQuery presenceNumStart(Integer presenceNumStart){
        this.presenceNumStart = presenceNumStart;
		return this;
    }


    /**
    * 设置 结束 到现场次数
    * @param presenceNumEnd
    */
    public OneClassifyTopicalQuery presenceNumEnd(Integer presenceNumEnd){
        this.presenceNumEnd = presenceNumEnd;
		return this;
    }


    /**
    * 设置 增加 到现场次数
    * @param presenceNumIncrement
    */
    public OneClassifyTopicalQuery presenceNumIncrement(Integer presenceNumIncrement){
        this.presenceNumIncrement = presenceNumIncrement;
		return this;
    }


    /**
    * 设置 到现场次数
    * @param presenceNumList
    */
    public OneClassifyTopicalQuery presenceNumList(List<Integer> presenceNumList){
        this.presenceNumList = presenceNumList;
		return this;
    }
	
	/**
    * 设置  
    * @param deleted
    */
    public OneClassifyTopicalQuery deleted(Integer deleted){
        setDeleted(deleted);
		return this;
    }

    /**
    * 设置 开始 
    * @param deletedStart
    */
    public OneClassifyTopicalQuery deletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
		return this;
    }


    /**
    * 设置 结束 
    * @param deletedEnd
    */
    public OneClassifyTopicalQuery deletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
		return this;
    }


    /**
    * 设置 增加 
    * @param deletedIncrement
    */
    public OneClassifyTopicalQuery deletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
		return this;
    }


    /**
    * 设置 
    * @param deletedList
    */
    public OneClassifyTopicalQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
    }

	/**
    * 设置  创建人id
    * @param createUserId
    */
    public OneClassifyTopicalQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public OneClassifyTopicalQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public OneClassifyTopicalQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public OneClassifyTopicalQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public OneClassifyTopicalQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }
	/**
    * 设置 创建人名称
    * @param createUserName
    */
    public OneClassifyTopicalQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public OneClassifyTopicalQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public OneClassifyTopicalQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public OneClassifyTopicalQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }

	/**
    * 设置  修改人
    * @param updateUserId
    */
    public OneClassifyTopicalQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 修改人
    * @param updateUserIdStart
    */
    public OneClassifyTopicalQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 修改人
    * @param updateUserIdEnd
    */
    public OneClassifyTopicalQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 修改人
    * @param updateUserIdIncrement
    */
    public OneClassifyTopicalQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 修改人
    * @param updateUserIdList
    */
    public OneClassifyTopicalQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }
	/**
    * 设置 修改人名称
    * @param updateUserName
    */
    public OneClassifyTopicalQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }


    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public OneClassifyTopicalQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public OneClassifyTopicalQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public OneClassifyTopicalQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<OneClassifyTopicalQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<OneClassifyTopicalQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<OneClassifyTopicalQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<OneClassifyTopicalQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}